<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
	"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper
	namespace="com.xunhong.erp.turbo.biz.infrastructure.mapper.OrderSupplierMapper">
	<resultMap id="BaseResultMap"
			   type="com.xunhong.erp.turbo.biz.infrastructure.entity.OrderSupplierDO">
		<result property="orderSupplierId" column="order_supplier_id"/>
		<result property="orderId" column="order_id"/>
		<result property="supplierId" column="supplier_id"/>
		<result property="name" column="name"/>
		<result property="idCard" column="id_card"/>
		<result property="bankCard" column="bank_card"/>
		<result property="phone" column="phone"/>
		<result property="wechatQr" column="wechat_qr"/>
		<result property="isLast" column="is_last"/>
		<result property="isPaper" column="is_paper"/>
		<result property="emptyWeight" column="empty_weight"/>
		<result property="totalWeight" column="total_weight"/>
		<result property="grossWeight" column="gross_weight"/>
		<result property="netWeight" column="net_weight"/>
		<result property="purchasePrice" column="purchase_price"/>
		<result property="salePrice" column="sale_price"/>
		<result property="invoiceAmount" column="invoice_amount"/>
		<result property="emptyWeightImg" column="empty_photo"/>
		<result property="totalWeightImg" column="total_photo"/>
		<result property="invoiceImg" column="invoice_img"
				typeHandler="com.baomidou.mybatisplus.extension.handlers.JacksonTypeHandler"/>
		<result property="contractImg" column="contract_img"
				typeHandler="com.baomidou.mybatisplus.extension.handlers.JacksonTypeHandler"/>
		<result property="invoiceUpload" column="invoice_upload"/>
		<result property="createdAt" column="created_at"/>
		<result property="createdAt" column="created_at"/>
		<result property="updatedAt" column="updated_at"/>
		<result property="isDelete" column="is_delete"/>
		<result property="version" column="version"/>
		<result property="productId" column="product_id"/>
		<result property="productName" column="product_name"/>
	</resultMap>
</mapper>